/*
  FUSE: Filesystem in Userspace

  This program can be distributed under the terms of the GNU LGPLv2.
  See the file COPYING.LIB.
*/
#include "config.h"
#include <stdlib.h>

#ifdef HAVE_NUMA_H
#include <numa.h>
#define FUSE_MAX_NUMA_NODE NUMA_NUM_NODES
#else
#define FUSE_MAX_NUMA_NODE 1
#endif

int fuse_numa_available(void);
int fuse_numa_max_nodes(void);
void fuse_numa_run_on_node(int node);
void *fuse_numa_alloc(size_t sz, int node);
void fuse_numa_free(void *buf, size_t sz, int node);
